Bug 541367

Summary: qemu: guest can't access DVD-ROM, ata errors in dmesg
Product: [Fedora] Fedora Reporter: Andrew Haley <aph>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: amit.shah, berrange, clalance, crobinso, dwmw2, ehabkost, gcosta, itamar, jaswinder, jforbes, knoel, markmc, ondrejj, scottt.tw, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 21:47:47 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Andrew Haley 2009-11-25 12:37:45 EST
Description of problem:

All DVD-ROMs appear as blank on the F12 desktop

Version-Release number of selected component (if applicable):

libvirt-0.7.1-15.fc12.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Install virt-manager
2. Install F12 x86_64 as guest, selecting defaults for everything
3. Run the new OS
4. Insert any CD-ROM
5. In Details, choose /dev/sr0 as virtual disk hdc

Actual results:

On the desktop, "You have inserted a blank DVD"

In dmesg,

ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6
ata2.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
         cdb 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
         res 01/60:00:00:00:00/00:00:00:00:00/a0 Emask 0x3 (HSM violation)
ata2.00: status: { ERR }
ata2: soft resetting link
ata2.01: NODEV after polling detection
ata2.00: configured for MWDMA2
ata2: EH complete


Expected results:


Additional info:
Comment 1 Andrew Haley 2009-11-25 12:40:02 EST
I have a bunch of SELinux alerts relating to /usr/bin/qemu-kvm.

I'll make sure this isn't SELinux related.
Comment 2 Andrew Haley 2009-11-25 13:34:39 EST
This definitely isn't selinux related.  I get exactly the same symptoms even with SELinux set to permissive.
Comment 3 Andrew Haley 2009-11-25 13:46:21 EST
I can confirm that this works correctly with a RHEL 5.2 guest, but not with an F12 guest.
Comment 4 Cole Robinson 2010-05-26 13:34:21 EDT
If you are seeing dmesg errors in the guest, this is either a qemu or kernel issue I would guess. Reassigning to qemu.
Comment 5 Bug Zapper 2010-11-04 01:22:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 21:47:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.